%define        _class           MDB2
%define        _subclass        Driver_pgsql
%define        upstream_name    %{_class}_%{_subclass}

Name:           php-pear-%{upstream_name}
Version:        1.5.0
Release:        %mkrel 0.0.b10
Summary:	Pgsql MDB2 driver
Epoch:          1
License:        PHP License
Group:          Development/PHP
URL:            http://pear.php.net/package/MDB2_Driver_pgsql/
Source0:        http://download.pear.php.net/package/MDB2_Driver_pgsql-%{version}b4.tgz
Requires:	php-pgsql
Requires(post): php-pear
Requires(preun): php-pear
Requires:       php-pear
BuildRequires:  php-pear
BuildArch:      noarch

%description
MDB2 pgsql driver.

%prep
%setup -q -c -n %{name}-%{version}b4
mv package.xml %{upstream_name}-%{version}b4/%{upstream_name}.xml

%install
cd %{upstream_name}-%{version}b4
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/doc
rm -rf %{buildroot}%{_datadir}/pear/test

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%files
%{_datadir}/pear/%{_class}
%{_datadir}/pear/data/%{upstream_name}
%{_datadir}/pear/packages/%{upstream_name}.xml


%changelog
* Wed Feb 17 2016 luigiwalser <luigiwalser> 1:1.5.0-0.0.b10.mga6
+ Revision: 964608
- fix file list the correct way

* Wed Feb 17 2016 umeabot <umeabot> 1:1.5.0-0.0.b9.mga6
+ Revision: 964329
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:1.5.0-0.0.b8.mga5
+ Revision: 743650
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:1.5.0-0.0.b7.mga5
+ Revision: 687328
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1:1.5.0-0.0.b6.mga4
+ Revision: 516968
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1:1.5.0-0.0.b5.mga3
+ Revision: 376813
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 22 2012 oden <oden> 1:1.5.0-0.0.b4.mga3
+ Revision: 320952
- 1.5.0b4

* Mon Jul 30 2012 spuhler <spuhler> 1:1.5.0-0.0.b3.mga3
+ Revision: 275918
- upgrade to 2.5.0b3

* Thu Jan 20 2011 spuhler <spuhler> 1:1.5.0-0.0.b2.2.mga1
+ Revision: 25496
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-MDB2_Driver_pgsql

